Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.link
Interface ILinkedModeListener

public interface ILinkedModeListener

Protocol used by `LinkedModeModel`s to communicate state changes, such as leaving linked mode, suspending it due to a child mode coming up, and resuming after a child mode has left.

This interface may implemented by clients.

Since:
  3.0

Field Summary
`static int` | `EXIT_ALL` Flag to `leave` specifying that all nested modes should exit.
`static int` | `EXTERNAL_MODIFICATION` Flag to `leave` specifying that document content outside of a linked position was modified.
`static int` | `NONE` Flag to `leave` specifying no special action.
`static int` | `SELECT` Flag to `leave` specifying that a UI of a parent mode should select the current position.
`static int` | `UPDATE_CARET` Flag to `leave` specifying that the caret should be moved to the exit position.

Method Summary
`void` | `left(LinkedModeModel model, int flags)` The leave event occurs when linked is left.
`void` | `resume(LinkedModeModel model, int flags)` The resume event occurs when a nested linked mode exits.
`void` | `suspend(LinkedModeModel model)` The suspend event occurs when a nested linked mode is installed within `model`.

Field Detail

### NONE

    public static final int NONE

  Flag to `leave` specifying no special action.

  See Also:
    Constant Field Values

### EXIT_ALL

    public static final int EXIT_ALL

  Flag to `leave` specifying that all nested modes should exit.

  See Also:
    Constant Field Values

### UPDATE_CARET

    public static final int UPDATE_CARET

  Flag to `leave` specifying that the caret should be moved to the exit position.

  See Also:
    Constant Field Values

### SELECT

    public static final int SELECT

  Flag to `leave` specifying that a UI of a parent mode should select the current position.

  See Also:
    Constant Field Values

### EXTERNAL_MODIFICATION

    public static final int EXTERNAL_MODIFICATION

  Flag to `leave` specifying that document content outside of a linked position was modified.

  See Also:
    Constant Field Values

Method Detail

### left

    public void left(LinkedModeModel model,
                     int flags)

  The leave event occurs when linked is left.

  Parameters:
    `model` - the model being left
    `flags` - the reason and commands for leaving linked mode

### suspend

    public void suspend(LinkedModeModel model)

  The suspend event occurs when a nested linked mode is installed within `model`.

  Parameters:
    `model` - the model being suspended due to a nested model being installed

### resume

    public void resume(LinkedModeModel model,
                       int flags)

  The resume event occurs when a nested linked mode exits.

  Parameters:
    `model` - the linked mode model being resumed due to a nested mode exiting
    `flags` - the commands to execute when resuming after suspend

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.